## python-typepy 1.3.0

=== Makefile ===
AUTHOR := thombashi
PACKAGE := typepy
DOCS_DIR := docs
DOCS_BUILD_DIR := $(DOCS_DIR)/_build
BUILD_WORK_DIR := _work
PKG_BUILD_DIR := $(BUILD_WORK_DIR)/$(PACKAGE)
PYTHON := python3


.PHONY: build-remote
build-remote: clean
	@mkdir -p $(BUILD_WORK_DIR)
	@cd $(BUILD_WORK_DIR) && \
		git clone https://github.com/$(AUTHOR)/$(PACKAGE).git --depth 1 && \
		cd $(PACKAGE) && \
		tox -e build
	ls -lh $(PKG_BUILD_DIR)/dist/*

.PHONY: build
build: clean
	@$(PYTHON) -m tox -e build
	ls -lh dist/*

.PHONY: check
check:
	@$(PYTHON) -m tox -e lint

.PHONY: clean
clean:
	@rm -rf $(BUILD_WORK_DIR)
	@$(PYTHON) -m tox -e clean

.PHONY: docs
docs:
	@$(PYTHON) -m tox -e docs

.PHONY: fmt
fmt:
	@$(PYTHON) -m tox -e fmt

.PHONY: readme
readme:
	@$(PYTHON) -m tox -e readme

.PHONY: release
release:
	@cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --sign
	@make clean

.PHONY: setup-ci
setup-ci:
	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade tox

.PHONY: setup
setup: setup-ci
	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test] releasecmd
	@$(PYTHON) -m pip check

=== debian/changelog ===
python-typepy (1.3.0-2) unstable; urgency=medium

  * Re upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Mar 2022 21:09:03 +0100

python-typepy (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1006964)

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2022 11:45:55 +0100

=== debian/control ===
Source: python-typepy
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-tcolorpy,
 python3-dateutil,
 python3-pytest,
 python3-mbstrdecoder,
 python3-tz,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-typepy
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-typepy.git
Homepage: https://github.com/thombashi/typepy

Package: python3-typepy
Architecture: all
Depends:
 python3-dateutil,
 python3-mbstrdecoder,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: library for variable type checker/validator/converter at a run time
 Typepy is a Python library for variable type checker/validator/converter at a
 run time.
 .
 Feature:
  * checking a value type
  * validate a value for a type
  * convert a value from a type to the other type

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/thombashi/typepy
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers -m pytest test ; \
	done
endif


override_dh_auto_test:
	echo "Do nothing..."

## python-typepy 1.3.1

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,8 @@
 
 .PHONY: release
 release:
-	@cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --sign
-	@make clean
+	@cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --verbose
+	@$(MAKE) clean
 
 .PHONY: setup-ci
 setup-ci:

=== debian/changelog ===
python-typepy (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Add do-not-use-Canada_Atlantic-gz.patch (Closes: #1052898).
  * Fix wrong VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Oct 2023 14:35:45 +0200

python-typepy (1.3.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046451).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 09:44:46 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
  python3-mbstrdecoder,
  python3-tz,
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-typepy
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-typepy.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-typepy
+Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-typepy.git
 Homepage: https://github.com/thombashi/typepy
 
 Package: python3-typepy

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr .pytest_cache *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

## python-typepy 1.3.2

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,8 @@
 
 .PHONY: release
 release:
-	@cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --verbose
-	@$(MAKE) clean
+	cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --sign --verbose
+	$(MAKE) clean
 
 .PHONY: setup-ci
 setup-ci:
@@ -55,3 +55,7 @@
 setup: setup-ci
 	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test] releasecmd
 	@$(PYTHON) -m pip check
+
+.PHONY: test
+test:
+	$(PYTHON) -m tox -e py

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = typepy
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== requirements/requirements.txt ===
mbstrdecoder>=1.0.0,<2

=== debian/changelog ===
python-typepy (1.3.2-3) unstable; urgency=medium

  * Cleans better (Closes: #1046451).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 17:03:36 +0100

python-typepy (1.3.2-2) unstable; urgency=medium

  * Replace the transitional python3-tz dependency with new python3-pytz
    (Closes: #1122116).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Dec 2025 21:08:20 +0100

python-typepy (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 14:26:20 +0100

python-typepy (1.3.1-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Fix URLs in Vcs-{Git,Browser} fields.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 11:39:02 +0100

python-typepy (1.3.1-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090630).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:04:23 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-dateutil,
  python3-pytest,
  python3-mbstrdecoder,
- python3-tz,
+ python3-pytz,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-typepy
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-typepy.git
@@ -26,7 +26,7 @@
 Depends:
  python3-dateutil,
  python3-mbstrdecoder,
- python3-tz,
+ python3-pytz,
  ${misc:Depends},
  ${python3:Depends},
 Description: library for variable type checker/validator/converter at a run time

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build .stestr .pytest_cache *.egg-info
+	rm -rf build .stestr .pytest_cache *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
